{% extends 'base.html' %}

{% block body %}
<header class="p-3 p-md-5 text-center bg-light">
    <div class="col-md-5 mx-auto">
        <h1 class="display-4 font-weight-normal"><img src="{{ url_for('static', filename='logo.png') }}"
                alt="HelloAPI" /></h1>
        <p class="lead font-weight-normal">A simple and dummy <strong>REST API</strong> written in <a target="_blank"
                href="https://python.org"><code>Python</code></a> using <a target="_blank"
                href="http://flask.pocoo.org/"><code>Flask</code></a>, <a target="_blank"
                href="http://peewee-orm.com"><code>Peewee</code></a> and <a target="_blank"
                href="https://marshmallow.readthedocs.io"><code>Marshmallow</code></a>. </p>
        <a class="btn btn-outline-secondary"
            href="{{ REPO }}"><code>git clone {{ REPOGIT }}</code></a>
    </div>
</header>
<main class="p-3 p-md-5 text-center bg-light">
    <h2>Quickstart</h2>
    <hr />
    <div class="card-deck">
        <article class="card">
            <div class="card-body">
                <h5 class="card-title">Installation</h5>
                <h6 class="card-subtitle mb-2 text-muted">Grab the code</h6>
                <p class="card-text">
                    <pre class="text-left">$ git clone {{ REPOGIT }}</pre>
                </p>
                <h6 class="card-subtitle mb-2 text-muted">Setup dev env</h6>
                <p class="card-text">
                    <pre class="text-left">$ pipenv --python 3</pre>
                    <pre class="text-left">$ pipenv install</pre>
                </p>
                <a href="{{ REPO }}" class="card-link">HelloAPI
                    repository</a>
            </div>
        </article>

        <article class="card">
            <div class="card-body">
                <h5 class="card-title">And now ?</h5>
                <h6 class="card-subtitle mb-2 text-muted">Init database and start server</h6>
                <p class="card-text">
                    <pre class="text-left">$ flask initdb --populate-fake-data true</pre>
                    <pre class="text-left">$ flask run</pre>
                </p>
                <h6 class="card-subtitle mb-2 text-muted">Make your first REST request with curl</h6>
                <p class="card-text">
                    <pre class="text-left">$ curl {{ url_for('automotives_certificates_api', _external=True) }}</pre>
                </p>
                <a href="{{ url_for('automotives_certificates_api', _external=True) }}" class="card-link">Automotives Certificates API</a>
            </div>
        </article>
    </div>
</main>
<footer class="p-3 p-md-5 text-center bg-light">
    <hr />
    <p>&copy; DelahayeYourself 2019</p>
</footer>
{% endblock %}